#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true

  xc.asap.daemons_hook:
    class: XC\AutoImportBase\LifetimeHook\DaemonsHook
    arguments:
      $services:
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'asap']
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'asap-images']
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: enable, method: onEnable}
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: disable, method: onDisable}
      - {name: xcart.auto.daemons_hook}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo550build5:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.0.5}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo550build9:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.0.9}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo551build1:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.1.1}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo552build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.2.0}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo553build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.3.0}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo554build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.4.0}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo557build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.7.0}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo558build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.8.0}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo5510build0RemoveImageTask:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.10.0}

  XC\ASAP\LifetimeHook\Upgrade\UpgradeTo5511build2SettingsChanges:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ASAP, type: upgrade, method: onUpgrade, version: 5.5.11.2}
